Loading...
Searching...
No Matches
max_value< T, size > Struct Template Reference

`#include <openbabel/mol.h>`

## Static Public Attributes

static const T | result = (static_cast<T>(0xFF) << (size-1)*8) + max_value<T, size-1>::result

## Detailed Description

template<typename T, int size = sizeof(T)>
struct OpenBabel::detail::max_value< T, size >

a C++ template to return the maximum value of a type (e.g., int)

## Member Data Documentation

## result

template<typename T, int size = sizeof(T)>

const T result = (static_cast<T>(0xFF) << (size-1)*8) + max_value<T, size-1>::result

static

The documentation for this struct was generated from the following file:

- mol.h